/**
 * \file IfxMcds_bf.h
 * \brief
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: 1585 $
 * $Date: 2013-09-03 13:30:24 +0200 (Di, 03 Sep 2013) $
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * \defgroup IfxLld_Mcds_BitfieldsMask Bitfields mask and offset
 * \ingroup IfxLld_Mcds
 * 
 */
#ifndef IFXMCDS_BF_H
#define IFXMCDS_BF_H
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_Mcds_BitfieldsMask
 * \{  */

/** \\brief  Length for Ifx_MCDS_ACT_Bits.AIQ0 */
#define IFX_MCDS_ACT_AIQ0_LEN (2)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.AIQ0 */
#define IFX_MCDS_ACT_AIQ0_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.AIQ0 */
#define IFX_MCDS_ACT_AIQ0_OFF (5)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.AIQ1 */
#define IFX_MCDS_ACT_AIQ1_LEN (2)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.AIQ1 */
#define IFX_MCDS_ACT_AIQ1_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.AIQ1 */
#define IFX_MCDS_ACT_AIQ1_OFF (13)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.AIQ2 */
#define IFX_MCDS_ACT_AIQ2_LEN (2)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.AIQ2 */
#define IFX_MCDS_ACT_AIQ2_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.AIQ2 */
#define IFX_MCDS_ACT_AIQ2_OFF (21)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.AIQ3 */
#define IFX_MCDS_ACT_AIQ3_LEN (2)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.AIQ3 */
#define IFX_MCDS_ACT_AIQ3_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.AIQ3 */
#define IFX_MCDS_ACT_AIQ3_OFF (29)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.AIS0 */
#define IFX_MCDS_ACT_AIS0_LEN (5)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.AIS0 */
#define IFX_MCDS_ACT_AIS0_MSK (0x1f)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.AIS0 */
#define IFX_MCDS_ACT_AIS0_OFF (0)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.AIS1 */
#define IFX_MCDS_ACT_AIS1_LEN (5)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.AIS1 */
#define IFX_MCDS_ACT_AIS1_MSK (0x1f)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.AIS1 */
#define IFX_MCDS_ACT_AIS1_OFF (8)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.AIS2 */
#define IFX_MCDS_ACT_AIS2_LEN (5)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.AIS2 */
#define IFX_MCDS_ACT_AIS2_MSK (0x1f)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.AIS2 */
#define IFX_MCDS_ACT_AIS2_OFF (16)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.AIS3 */
#define IFX_MCDS_ACT_AIS3_LEN (5)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.AIS3 */
#define IFX_MCDS_ACT_AIS3_MSK (0x1f)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.AIS3 */
#define IFX_MCDS_ACT_AIS3_OFF (24)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.LV0 */
#define IFX_MCDS_ACT_LV0_LEN (1)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.LV0 */
#define IFX_MCDS_ACT_LV0_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.LV0 */
#define IFX_MCDS_ACT_LV0_OFF (7)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.LV1 */
#define IFX_MCDS_ACT_LV1_LEN (1)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.LV1 */
#define IFX_MCDS_ACT_LV1_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.LV1 */
#define IFX_MCDS_ACT_LV1_OFF (15)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.LV2 */
#define IFX_MCDS_ACT_LV2_LEN (1)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.LV2 */
#define IFX_MCDS_ACT_LV2_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.LV2 */
#define IFX_MCDS_ACT_LV2_OFF (23)

/** \\brief  Length for Ifx_MCDS_ACT_Bits.LV3 */
#define IFX_MCDS_ACT_LV3_LEN (1)

/** \\brief  Mask for Ifx_MCDS_ACT_Bits.LV3 */
#define IFX_MCDS_ACT_LV3_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_ACT_Bits.LV3 */
#define IFX_MCDS_ACT_LV3_OFF (31)

/** \\brief  Length for Ifx_MCDS_CLC_Bits.DISR */
#define IFX_MCDS_CLC_DISR_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CLC_Bits.DISR */
#define IFX_MCDS_CLC_DISR_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CLC_Bits.DISR */
#define IFX_MCDS_CLC_DISR_OFF (0)

/** \\brief  Length for Ifx_MCDS_CLC_Bits.DISS */
#define IFX_MCDS_CLC_DISS_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CLC_Bits.DISS */
#define IFX_MCDS_CLC_DISS_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CLC_Bits.DISS */
#define IFX_MCDS_CLC_DISS_OFF (1)

/** \\brief  Length for Ifx_MCDS_CNT_CCL_Bits.CLR0 */
#define IFX_MCDS_CNT_CCL_CLR0_LEN (6)

/** \\brief  Mask for Ifx_MCDS_CNT_CCL_Bits.CLR0 */
#define IFX_MCDS_CNT_CCL_CLR0_MSK (0x3f)

/** \\brief  Offset for Ifx_MCDS_CNT_CCL_Bits.CLR0 */
#define IFX_MCDS_CNT_CCL_CLR0_OFF (8)

/** \\brief  Length for Ifx_MCDS_CNT_CCL_Bits.CLR1 */
#define IFX_MCDS_CNT_CCL_CLR1_LEN (6)

/** \\brief  Mask for Ifx_MCDS_CNT_CCL_Bits.CLR1 */
#define IFX_MCDS_CNT_CCL_CLR1_MSK (0x3f)

/** \\brief  Offset for Ifx_MCDS_CNT_CCL_Bits.CLR1 */
#define IFX_MCDS_CNT_CCL_CLR1_OFF (24)

/** \\brief  Length for Ifx_MCDS_CNT_CCL_Bits.CLV0 */
#define IFX_MCDS_CNT_CCL_CLV0_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CNT_CCL_Bits.CLV0 */
#define IFX_MCDS_CNT_CCL_CLV0_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CNT_CCL_Bits.CLV0 */
#define IFX_MCDS_CNT_CCL_CLV0_OFF (15)

/** \\brief  Length for Ifx_MCDS_CNT_CCL_Bits.CLV1 */
#define IFX_MCDS_CNT_CCL_CLV1_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CNT_CCL_Bits.CLV1 */
#define IFX_MCDS_CNT_CCL_CLV1_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CNT_CCL_Bits.CLV1 */
#define IFX_MCDS_CNT_CCL_CLV1_OFF (31)

/** \\brief  Length for Ifx_MCDS_CNT_CCL_Bits.ILV0 */
#define IFX_MCDS_CNT_CCL_ILV0_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CNT_CCL_Bits.ILV0 */
#define IFX_MCDS_CNT_CCL_ILV0_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CNT_CCL_Bits.ILV0 */
#define IFX_MCDS_CNT_CCL_ILV0_OFF (7)

/** \\brief  Length for Ifx_MCDS_CNT_CCL_Bits.ILV1 */
#define IFX_MCDS_CNT_CCL_ILV1_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CNT_CCL_Bits.ILV1 */
#define IFX_MCDS_CNT_CCL_ILV1_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CNT_CCL_Bits.ILV1 */
#define IFX_MCDS_CNT_CCL_ILV1_OFF (23)

/** \\brief  Length for Ifx_MCDS_CNT_CCL_Bits.INC0 */
#define IFX_MCDS_CNT_CCL_INC0_LEN (7)

/** \\brief  Mask for Ifx_MCDS_CNT_CCL_Bits.INC0 */
#define IFX_MCDS_CNT_CCL_INC0_MSK (0x7f)

/** \\brief  Offset for Ifx_MCDS_CNT_CCL_Bits.INC0 */
#define IFX_MCDS_CNT_CCL_INC0_OFF (0)

/** \\brief  Length for Ifx_MCDS_CNT_CCL_Bits.INC1 */
#define IFX_MCDS_CNT_CCL_INC1_LEN (7)

/** \\brief  Mask for Ifx_MCDS_CNT_CCL_Bits.INC1 */
#define IFX_MCDS_CNT_CCL_INC1_MSK (0x7f)

/** \\brief  Offset for Ifx_MCDS_CNT_CCL_Bits.INC1 */
#define IFX_MCDS_CNT_CCL_INC1_OFF (16)

/** \\brief  Length for Ifx_MCDS_CNT_CNT_Bits.COUNT */
#define IFX_MCDS_CNT_CNT_COUNT_LEN (16)

/** \\brief  Mask for Ifx_MCDS_CNT_CNT_Bits.COUNT */
#define IFX_MCDS_CNT_CNT_COUNT_MSK (0xffff)

/** \\brief  Offset for Ifx_MCDS_CNT_CNT_Bits.COUNT */
#define IFX_MCDS_CNT_CNT_COUNT_OFF (0)

/** \\brief  Length for Ifx_MCDS_CNT_LMT_Bits.LIMIT */
#define IFX_MCDS_CNT_LMT_LIMIT_LEN (16)

/** \\brief  Mask for Ifx_MCDS_CNT_LMT_Bits.LIMIT */
#define IFX_MCDS_CNT_LMT_LIMIT_MSK (0xffff)

/** \\brief  Offset for Ifx_MCDS_CNT_LMT_Bits.LIMIT */
#define IFX_MCDS_CNT_LMT_LIMIT_OFF (0)

/** \\brief  Length for Ifx_MCDS_CNT_LMT_Bits.MOD0 */
#define IFX_MCDS_CNT_LMT_MOD0_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CNT_LMT_Bits.MOD0 */
#define IFX_MCDS_CNT_LMT_MOD0_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CNT_LMT_Bits.MOD0 */
#define IFX_MCDS_CNT_LMT_MOD0_OFF (30)

/** \\brief  Length for Ifx_MCDS_CNT_LMT_Bits.MOD1 */
#define IFX_MCDS_CNT_LMT_MOD1_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CNT_LMT_Bits.MOD1 */
#define IFX_MCDS_CNT_LMT_MOD1_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CNT_LMT_Bits.MOD1 */
#define IFX_MCDS_CNT_LMT_MOD1_OFF (31)

/** \\brief  Length for Ifx_MCDS_CT_Bits.BED */
#define IFX_MCDS_CT_BED_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.BED */
#define IFX_MCDS_CT_BED_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.BED */
#define IFX_MCDS_CT_BED_OFF (16)

/** \\brief  Length for Ifx_MCDS_CT_Bits.BED_P */
#define IFX_MCDS_CT_BED_P_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.BED_P */
#define IFX_MCDS_CT_BED_P_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.BED_P */
#define IFX_MCDS_CT_BED_P_OFF (19)

/** \\brief  Length for Ifx_MCDS_CT_Bits.CLRE */
#define IFX_MCDS_CT_CLRE_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.CLRE */
#define IFX_MCDS_CT_CLRE_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.CLRE */
#define IFX_MCDS_CT_CLRE_OFF (14)

/** \\brief  Length for Ifx_MCDS_CT_Bits.CLRI */
#define IFX_MCDS_CT_CLRI_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.CLRI */
#define IFX_MCDS_CT_CLRI_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.CLRI */
#define IFX_MCDS_CT_CLRI_OFF (22)

/** \\brief  Length for Ifx_MCDS_CT_Bits.EN */
#define IFX_MCDS_CT_EN_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.EN */
#define IFX_MCDS_CT_EN_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.EN */
#define IFX_MCDS_CT_EN_OFF (13)

/** \\brief  Length for Ifx_MCDS_CT_Bits.IRA */
#define IFX_MCDS_CT_IRA_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.IRA */
#define IFX_MCDS_CT_IRA_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.IRA */
#define IFX_MCDS_CT_IRA_OFF (21)

/** \\brief  Length for Ifx_MCDS_CT_Bits.IWA */
#define IFX_MCDS_CT_IWA_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.IWA */
#define IFX_MCDS_CT_IWA_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.IWA */
#define IFX_MCDS_CT_IWA_OFF (23)

/** \\brief  Length for Ifx_MCDS_CT_Bits.RES */
#define IFX_MCDS_CT_RES_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.RES */
#define IFX_MCDS_CT_RES_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.RES */
#define IFX_MCDS_CT_RES_OFF (29)

/** \\brief  Length for Ifx_MCDS_CT_Bits.SETE */
#define IFX_MCDS_CT_SETE_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.SETE */
#define IFX_MCDS_CT_SETE_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.SETE */
#define IFX_MCDS_CT_SETE_OFF (15)

/** \\brief  Length for Ifx_MCDS_CT_Bits.SETR */
#define IFX_MCDS_CT_SETR_LEN (1)

/** \\brief  Mask for Ifx_MCDS_CT_Bits.SETR */
#define IFX_MCDS_CT_SETR_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_CT_Bits.SETR */
#define IFX_MCDS_CT_SETR_OFF (31)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ0 */
#define IFX_MCDS_EVT_EIQ0_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ0 */
#define IFX_MCDS_EVT_EIQ0_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ0 */
#define IFX_MCDS_EVT_EIQ0_OFF (0)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ10 */
#define IFX_MCDS_EVT_EIQ10_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ10 */
#define IFX_MCDS_EVT_EIQ10_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ10 */
#define IFX_MCDS_EVT_EIQ10_OFF (20)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ11 */
#define IFX_MCDS_EVT_EIQ11_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ11 */
#define IFX_MCDS_EVT_EIQ11_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ11 */
#define IFX_MCDS_EVT_EIQ11_OFF (22)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ12 */
#define IFX_MCDS_EVT_EIQ12_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ12 */
#define IFX_MCDS_EVT_EIQ12_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ12 */
#define IFX_MCDS_EVT_EIQ12_OFF (24)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ13 */
#define IFX_MCDS_EVT_EIQ13_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ13 */
#define IFX_MCDS_EVT_EIQ13_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ13 */
#define IFX_MCDS_EVT_EIQ13_OFF (26)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ14 */
#define IFX_MCDS_EVT_EIQ14_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ14 */
#define IFX_MCDS_EVT_EIQ14_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ14 */
#define IFX_MCDS_EVT_EIQ14_OFF (28)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ15 */
#define IFX_MCDS_EVT_EIQ15_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ15 */
#define IFX_MCDS_EVT_EIQ15_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ15 */
#define IFX_MCDS_EVT_EIQ15_OFF (30)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ1 */
#define IFX_MCDS_EVT_EIQ1_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ1 */
#define IFX_MCDS_EVT_EIQ1_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ1 */
#define IFX_MCDS_EVT_EIQ1_OFF (2)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ2 */
#define IFX_MCDS_EVT_EIQ2_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ2 */
#define IFX_MCDS_EVT_EIQ2_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ2 */
#define IFX_MCDS_EVT_EIQ2_OFF (4)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ3 */
#define IFX_MCDS_EVT_EIQ3_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ3 */
#define IFX_MCDS_EVT_EIQ3_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ3 */
#define IFX_MCDS_EVT_EIQ3_OFF (6)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ4 */
#define IFX_MCDS_EVT_EIQ4_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ4 */
#define IFX_MCDS_EVT_EIQ4_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ4 */
#define IFX_MCDS_EVT_EIQ4_OFF (8)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ5 */
#define IFX_MCDS_EVT_EIQ5_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ5 */
#define IFX_MCDS_EVT_EIQ5_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ5 */
#define IFX_MCDS_EVT_EIQ5_OFF (10)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ6 */
#define IFX_MCDS_EVT_EIQ6_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ6 */
#define IFX_MCDS_EVT_EIQ6_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ6 */
#define IFX_MCDS_EVT_EIQ6_OFF (12)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ7 */
#define IFX_MCDS_EVT_EIQ7_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ7 */
#define IFX_MCDS_EVT_EIQ7_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ7 */
#define IFX_MCDS_EVT_EIQ7_OFF (14)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ8 */
#define IFX_MCDS_EVT_EIQ8_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ8 */
#define IFX_MCDS_EVT_EIQ8_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ8 */
#define IFX_MCDS_EVT_EIQ8_OFF (16)

/** \\brief  Length for Ifx_MCDS_EVT_Bits.EIQ9 */
#define IFX_MCDS_EVT_EIQ9_LEN (2)

/** \\brief  Mask for Ifx_MCDS_EVT_Bits.EIQ9 */
#define IFX_MCDS_EVT_EIQ9_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_EVT_Bits.EIQ9 */
#define IFX_MCDS_EVT_EIQ9_OFF (18)

/** \\brief  Length for Ifx_MCDS_FIFOBOT_Bits.BOTTOM */
#define IFX_MCDS_FIFOBOT_BOTTOM_LEN (8)

/** \\brief  Mask for Ifx_MCDS_FIFOBOT_Bits.BOTTOM */
#define IFX_MCDS_FIFOBOT_BOTTOM_MSK (0xff)

/** \\brief  Offset for Ifx_MCDS_FIFOBOT_Bits.BOTTOM */
#define IFX_MCDS_FIFOBOT_BOTTOM_OFF (12)

/** \\brief  Length for Ifx_MCDS_FIFOCTL_Bits.CLR */
#define IFX_MCDS_FIFOCTL_CLR_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOCTL_Bits.CLR */
#define IFX_MCDS_FIFOCTL_CLR_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOCTL_Bits.CLR */
#define IFX_MCDS_FIFOCTL_CLR_OFF (14)

/** \\brief  Length for Ifx_MCDS_FIFOCTL_Bits.FFE */
#define IFX_MCDS_FIFOCTL_FFE_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOCTL_Bits.FFE */
#define IFX_MCDS_FIFOCTL_FFE_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOCTL_Bits.FFE */
#define IFX_MCDS_FIFOCTL_FFE_OFF (1)

/** \\brief  Length for Ifx_MCDS_FIFOCTL_Bits.FLSH */
#define IFX_MCDS_FIFOCTL_FLSH_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOCTL_Bits.FLSH */
#define IFX_MCDS_FIFOCTL_FLSH_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOCTL_Bits.FLSH */
#define IFX_MCDS_FIFOCTL_FLSH_OFF (13)

/** \\brief  Length for Ifx_MCDS_FIFOCTL_Bits.SET */
#define IFX_MCDS_FIFOCTL_SET_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOCTL_Bits.SET */
#define IFX_MCDS_FIFOCTL_SET_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOCTL_Bits.SET */
#define IFX_MCDS_FIFOCTL_SET_OFF (15)

/** \\brief  Length for Ifx_MCDS_FIFOCTL_Bits.TRDIS */
#define IFX_MCDS_FIFOCTL_TRDIS_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOCTL_Bits.TRDIS */
#define IFX_MCDS_FIFOCTL_TRDIS_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOCTL_Bits.TRDIS */
#define IFX_MCDS_FIFOCTL_TRDIS_OFF (9)

/** \\brief  Length for Ifx_MCDS_FIFOCTL_Bits.TRG */
#define IFX_MCDS_FIFOCTL_TRG_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOCTL_Bits.TRG */
#define IFX_MCDS_FIFOCTL_TRG_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOCTL_Bits.TRG */
#define IFX_MCDS_FIFOCTL_TRG_OFF (0)

/** \\brief  Length for Ifx_MCDS_FIFOCTL_Bits.TROFF */
#define IFX_MCDS_FIFOCTL_TROFF_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOCTL_Bits.TROFF */
#define IFX_MCDS_FIFOCTL_TROFF_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOCTL_Bits.TROFF */
#define IFX_MCDS_FIFOCTL_TROFF_OFF (11)

/** \\brief  Length for Ifx_MCDS_FIFOCTL_Bits.TRON */
#define IFX_MCDS_FIFOCTL_TRON_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOCTL_Bits.TRON */
#define IFX_MCDS_FIFOCTL_TRON_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOCTL_Bits.TRON */
#define IFX_MCDS_FIFOCTL_TRON_OFF (10)

/** \\brief  Length for Ifx_MCDS_FIFONOW_Bits.NOW */
#define IFX_MCDS_FIFONOW_NOW_LEN (15)

/** \\brief  Mask for Ifx_MCDS_FIFONOW_Bits.NOW */
#define IFX_MCDS_FIFONOW_NOW_MSK (0x7fff)

/** \\brief  Offset for Ifx_MCDS_FIFONOW_Bits.NOW */
#define IFX_MCDS_FIFONOW_NOW_OFF (5)

/** \\brief  Length for Ifx_MCDS_FIFOPRE_Bits.PRE */
#define IFX_MCDS_FIFOPRE_PRE_LEN (15)

/** \\brief  Mask for Ifx_MCDS_FIFOPRE_Bits.PRE */
#define IFX_MCDS_FIFOPRE_PRE_MSK (0x7fff)

/** \\brief  Offset for Ifx_MCDS_FIFOPRE_Bits.PRE */
#define IFX_MCDS_FIFOPRE_PRE_OFF (5)

/** \\brief  Length for Ifx_MCDS_FIFOTOP_Bits.TOP */
#define IFX_MCDS_FIFOTOP_TOP_LEN (15)

/** \\brief  Mask for Ifx_MCDS_FIFOTOP_Bits.TOP */
#define IFX_MCDS_FIFOTOP_TOP_MSK (0x7fff)

/** \\brief  Offset for Ifx_MCDS_FIFOTOP_Bits.TOP */
#define IFX_MCDS_FIFOTOP_TOP_OFF (5)

/** \\brief  Length for Ifx_MCDS_FIFOWARN0_Bits.EN */
#define IFX_MCDS_FIFOWARN0_EN_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOWARN0_Bits.EN */
#define IFX_MCDS_FIFOWARN0_EN_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOWARN0_Bits.EN */
#define IFX_MCDS_FIFOWARN0_EN_OFF (31)

/** \\brief  Length for Ifx_MCDS_FIFOWARN0_Bits.OCDEN */
#define IFX_MCDS_FIFOWARN0_OCDEN_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOWARN0_Bits.OCDEN */
#define IFX_MCDS_FIFOWARN0_OCDEN_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOWARN0_Bits.OCDEN */
#define IFX_MCDS_FIFOWARN0_OCDEN_OFF (30)

/** \\brief  Length for Ifx_MCDS_FIFOWARN0_Bits.WARN */
#define IFX_MCDS_FIFOWARN0_WARN_LEN (15)

/** \\brief  Mask for Ifx_MCDS_FIFOWARN0_Bits.WARN */
#define IFX_MCDS_FIFOWARN0_WARN_MSK (0x7fff)

/** \\brief  Offset for Ifx_MCDS_FIFOWARN0_Bits.WARN */
#define IFX_MCDS_FIFOWARN0_WARN_OFF (5)

/** \\brief  Length for Ifx_MCDS_FIFOWARN1_Bits.EN */
#define IFX_MCDS_FIFOWARN1_EN_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOWARN1_Bits.EN */
#define IFX_MCDS_FIFOWARN1_EN_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOWARN1_Bits.EN */
#define IFX_MCDS_FIFOWARN1_EN_OFF (31)

/** \\brief  Length for Ifx_MCDS_FIFOWARN1_Bits.OCDEN */
#define IFX_MCDS_FIFOWARN1_OCDEN_LEN (1)

/** \\brief  Mask for Ifx_MCDS_FIFOWARN1_Bits.OCDEN */
#define IFX_MCDS_FIFOWARN1_OCDEN_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_FIFOWARN1_Bits.OCDEN */
#define IFX_MCDS_FIFOWARN1_OCDEN_OFF (30)

/** \\brief  Length for Ifx_MCDS_FIFOWARN1_Bits.WARN */
#define IFX_MCDS_FIFOWARN1_WARN_LEN (15)

/** \\brief  Mask for Ifx_MCDS_FIFOWARN1_Bits.WARN */
#define IFX_MCDS_FIFOWARN1_WARN_MSK (0x7fff)

/** \\brief  Offset for Ifx_MCDS_FIFOWARN1_Bits.WARN */
#define IFX_MCDS_FIFOWARN1_WARN_OFF (5)

/** \\brief  Length for Ifx_MCDS_ID_Bits.MOD_REV */
#define IFX_MCDS_ID_MOD_REV_LEN (8)

/** \\brief  Mask for Ifx_MCDS_ID_Bits.MOD_REV */
#define IFX_MCDS_ID_MOD_REV_MSK (0xff)

/** \\brief  Offset for Ifx_MCDS_ID_Bits.MOD_REV */
#define IFX_MCDS_ID_MOD_REV_OFF (0)

/** \\brief  Length for Ifx_MCDS_ID_Bits.MOD_TYPE */
#define IFX_MCDS_ID_MOD_TYPE_LEN (8)

/** \\brief  Mask for Ifx_MCDS_ID_Bits.MOD_TYPE */
#define IFX_MCDS_ID_MOD_TYPE_MSK (0xff)

/** \\brief  Offset for Ifx_MCDS_ID_Bits.MOD_TYPE */
#define IFX_MCDS_ID_MOD_TYPE_OFF (8)

/** \\brief  Length for Ifx_MCDS_ID_Bits.MODNUMBER */
#define IFX_MCDS_ID_MODNUMBER_LEN (16)

/** \\brief  Mask for Ifx_MCDS_ID_Bits.MODNUMBER */
#define IFX_MCDS_ID_MODNUMBER_MSK (0xffff)

/** \\brief  Offset for Ifx_MCDS_ID_Bits.MODNUMBER */
#define IFX_MCDS_ID_MODNUMBER_OFF (16)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.RC */
#define IFX_MCDS_MUX_RC_LEN (1)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.RC */
#define IFX_MCDS_MUX_RC_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.RC */
#define IFX_MCDS_MUX_RC_OFF (24)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.RC_P */
#define IFX_MCDS_MUX_RC_P_LEN (1)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.RC_P */
#define IFX_MCDS_MUX_RC_P_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.RC_P */
#define IFX_MCDS_MUX_RC_P_OFF (27)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.TM0_P */
#define IFX_MCDS_MUX_TM0_P_LEN (1)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.TM0_P */
#define IFX_MCDS_MUX_TM0_P_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.TM0_P */
#define IFX_MCDS_MUX_TM0_P_OFF (7)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.TM1_P */
#define IFX_MCDS_MUX_TM1_P_LEN (1)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.TM1_P */
#define IFX_MCDS_MUX_TM1_P_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.TM1_P */
#define IFX_MCDS_MUX_TM1_P_OFF (15)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.TM2_P */
#define IFX_MCDS_MUX_TM2_P_LEN (1)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.TM2_P */
#define IFX_MCDS_MUX_TM2_P_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.TM2_P */
#define IFX_MCDS_MUX_TM2_P_OFF (19)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.TM3_P */
#define IFX_MCDS_MUX_TM3_P_LEN (1)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.TM3_P */
#define IFX_MCDS_MUX_TM3_P_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.TM3_P */
#define IFX_MCDS_MUX_TM3_P_OFF (23)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.TMUX0 */
#define IFX_MCDS_MUX_TMUX0_LEN (4)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.TMUX0 */
#define IFX_MCDS_MUX_TMUX0_MSK (0xf)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.TMUX0 */
#define IFX_MCDS_MUX_TMUX0_OFF (0)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.TMUX1 */
#define IFX_MCDS_MUX_TMUX1_LEN (4)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.TMUX1 */
#define IFX_MCDS_MUX_TMUX1_MSK (0xf)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.TMUX1 */
#define IFX_MCDS_MUX_TMUX1_OFF (8)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.TMUX2 */
#define IFX_MCDS_MUX_TMUX2_LEN (3)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.TMUX2 */
#define IFX_MCDS_MUX_TMUX2_MSK (0x7)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.TMUX2 */
#define IFX_MCDS_MUX_TMUX2_OFF (16)

/** \\brief  Length for Ifx_MCDS_MUX_Bits.TMUX3 */
#define IFX_MCDS_MUX_TMUX3_LEN (3)

/** \\brief  Mask for Ifx_MCDS_MUX_Bits.TMUX3 */
#define IFX_MCDS_MUX_TMUX3_MSK (0x7)

/** \\brief  Offset for Ifx_MCDS_MUX_Bits.TMUX3 */
#define IFX_MCDS_MUX_TMUX3_OFF (20)

/** \\brief  Length for Ifx_MCDS_OCS_Bits.SUS */
#define IFX_MCDS_OCS_SUS_LEN (4)

/** \\brief  Mask for Ifx_MCDS_OCS_Bits.SUS */
#define IFX_MCDS_OCS_SUS_MSK (0xf)

/** \\brief  Offset for Ifx_MCDS_OCS_Bits.SUS */
#define IFX_MCDS_OCS_SUS_OFF (24)

/** \\brief  Length for Ifx_MCDS_OCS_Bits.SUS_P */
#define IFX_MCDS_OCS_SUS_P_LEN (1)

/** \\brief  Mask for Ifx_MCDS_OCS_Bits.SUS_P */
#define IFX_MCDS_OCS_SUS_P_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_OCS_Bits.SUS_P */
#define IFX_MCDS_OCS_SUS_P_OFF (28)

/** \\brief  Length for Ifx_MCDS_OCS_Bits.SUSSTA */
#define IFX_MCDS_OCS_SUSSTA_LEN (1)

/** \\brief  Mask for Ifx_MCDS_OCS_Bits.SUSSTA */
#define IFX_MCDS_OCS_SUSSTA_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_OCS_Bits.SUSSTA */
#define IFX_MCDS_OCS_SUSSTA_OFF (29)

/** \\brief  Length for Ifx_MCDS_TCX_CIP_Bits.CURRENT */
#define IFX_MCDS_TCX_CIP_CURRENT_LEN (31)

/** \\brief  Mask for Ifx_MCDS_TCX_CIP_Bits.CURRENT */
#define IFX_MCDS_TCX_CIP_CURRENT_MSK (0x7fffffff)

/** \\brief  Offset for Ifx_MCDS_TCX_CIP_Bits.CURRENT */
#define IFX_MCDS_TCX_CIP_CURRENT_OFF (1)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.CLKDIV */
#define IFX_MCDS_TCX_DCSTS_CLKDIV_LEN (2)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.CLKDIV */
#define IFX_MCDS_TCX_DCSTS_CLKDIV_MSK (0x3)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.CLKDIV */
#define IFX_MCDS_TCX_DCSTS_CLKDIV_OFF (9)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.DBGEN */
#define IFX_MCDS_TCX_DCSTS_DBGEN_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.DBGEN */
#define IFX_MCDS_TCX_DCSTS_DBGEN_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.DBGEN */
#define IFX_MCDS_TCX_DCSTS_DBGEN_OFF (8)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.HALT */
#define IFX_MCDS_TCX_DCSTS_HALT_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.HALT */
#define IFX_MCDS_TCX_DCSTS_HALT_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.HALT */
#define IFX_MCDS_TCX_DCSTS_HALT_OFF (2)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.HBRK */
#define IFX_MCDS_TCX_DCSTS_HBRK_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.HBRK */
#define IFX_MCDS_TCX_DCSTS_HBRK_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.HBRK */
#define IFX_MCDS_TCX_DCSTS_HBRK_OFF (4)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.IDLE */
#define IFX_MCDS_TCX_DCSTS_IDLE_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.IDLE */
#define IFX_MCDS_TCX_DCSTS_IDLE_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.IDLE */
#define IFX_MCDS_TCX_DCSTS_IDLE_OFF (1)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.IEN */
#define IFX_MCDS_TCX_DCSTS_IEN_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.IEN */
#define IFX_MCDS_TCX_DCSTS_IEN_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.IEN */
#define IFX_MCDS_TCX_DCSTS_IEN_OFF (7)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.ISR */
#define IFX_MCDS_TCX_DCSTS_ISR_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.ISR */
#define IFX_MCDS_TCX_DCSTS_ISR_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.ISR */
#define IFX_MCDS_TCX_DCSTS_ISR_OFF (3)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.SBRK */
#define IFX_MCDS_TCX_DCSTS_SBRK_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.SBRK */
#define IFX_MCDS_TCX_DCSTS_SBRK_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.SBRK */
#define IFX_MCDS_TCX_DCSTS_SBRK_OFF (5)

/** \\brief  Length for Ifx_MCDS_TCX_DCSTS_Bits.SUS */
#define IFX_MCDS_TCX_DCSTS_SUS_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCX_DCSTS_Bits.SUS */
#define IFX_MCDS_TCX_DCSTS_SUS_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCX_DCSTS_Bits.SUS */
#define IFX_MCDS_TCX_DCSTS_SUS_OFF (0)

/** \\brief  Length for Ifx_MCDS_TCX_TCCFTREG_Bits.SHRT_FCT */
#define IFX_MCDS_TCX_TCCFTREG_SHRT_FCT_LEN (8)

/** \\brief  Mask for Ifx_MCDS_TCX_TCCFTREG_Bits.SHRT_FCT */
#define IFX_MCDS_TCX_TCCFTREG_SHRT_FCT_MSK (0xff)

/** \\brief  Offset for Ifx_MCDS_TCX_TCCFTREG_Bits.SHRT_FCT */
#define IFX_MCDS_TCX_TCCFTREG_SHRT_FCT_OFF (16)

/** \\brief  Length for Ifx_MCDS_TCX_TCCFTREG_Bits.VSHRT_FCT */
#define IFX_MCDS_TCX_TCCFTREG_VSHRT_FCT_LEN (8)

/** \\brief  Mask for Ifx_MCDS_TCX_TCCFTREG_Bits.VSHRT_FCT */
#define IFX_MCDS_TCX_TCCFTREG_VSHRT_FCT_MSK (0xff)

/** \\brief  Offset for Ifx_MCDS_TCX_TCCFTREG_Bits.VSHRT_FCT */
#define IFX_MCDS_TCX_TCCFTREG_VSHRT_FCT_OFF (0)

/** \\brief  Length for Ifx_MCDS_TCXEA_BND_Bits.BOUND */
#define IFX_MCDS_TCXEA_BND_BOUND_LEN (32)

/** \\brief  Mask for Ifx_MCDS_TCXEA_BND_Bits.BOUND */
#define IFX_MCDS_TCXEA_BND_BOUND_MSK (0xffffffff)

/** \\brief  Offset for Ifx_MCDS_TCXEA_BND_Bits.BOUND */
#define IFX_MCDS_TCXEA_BND_BOUND_OFF (0)

/** \\brief  Length for Ifx_MCDS_TCXEA_RNG_Bits.RANGE */
#define IFX_MCDS_TCXEA_RNG_RANGE_LEN (32)

/** \\brief  Mask for Ifx_MCDS_TCXEA_RNG_Bits.RANGE */
#define IFX_MCDS_TCXEA_RNG_RANGE_MSK (0xffffffff)

/** \\brief  Offset for Ifx_MCDS_TCXEA_RNG_Bits.RANGE */
#define IFX_MCDS_TCXEA_RNG_RANGE_OFF (0)

/** \\brief  Length for Ifx_MCDS_TCXIP_BND_Bits.BOUND */
#define IFX_MCDS_TCXIP_BND_BOUND_LEN (31)

/** \\brief  Mask for Ifx_MCDS_TCXIP_BND_Bits.BOUND */
#define IFX_MCDS_TCXIP_BND_BOUND_MSK (0x7fffffff)

/** \\brief  Offset for Ifx_MCDS_TCXIP_BND_Bits.BOUND */
#define IFX_MCDS_TCXIP_BND_BOUND_OFF (1)

/** \\brief  Length for Ifx_MCDS_TCXIP_RNG_Bits.RANGE */
#define IFX_MCDS_TCXIP_RNG_RANGE_LEN (31)

/** \\brief  Mask for Ifx_MCDS_TCXIP_RNG_Bits.RANGE */
#define IFX_MCDS_TCXIP_RNG_RANGE_MSK (0x7fffffff)

/** \\brief  Offset for Ifx_MCDS_TCXIP_RNG_Bits.RANGE */
#define IFX_MCDS_TCXIP_RNG_RANGE_OFF (1)

/** \\brief  Length for Ifx_MCDS_TCXWD_BND_Bits.BOUND */
#define IFX_MCDS_TCXWD_BND_BOUND_LEN (32)

/** \\brief  Mask for Ifx_MCDS_TCXWD_BND_Bits.BOUND */
#define IFX_MCDS_TCXWD_BND_BOUND_MSK (0xffffffff)

/** \\brief  Offset for Ifx_MCDS_TCXWD_BND_Bits.BOUND */
#define IFX_MCDS_TCXWD_BND_BOUND_OFF (0)

/** \\brief  Length for Ifx_MCDS_TCXWD_MSK_Bits.MASK */
#define IFX_MCDS_TCXWD_MSK_MASK_LEN (32)

/** \\brief  Mask for Ifx_MCDS_TCXWD_MSK_Bits.MASK */
#define IFX_MCDS_TCXWD_MSK_MASK_MSK (0xffffffff)

/** \\brief  Offset for Ifx_MCDS_TCXWD_MSK_Bits.MASK */
#define IFX_MCDS_TCXWD_MSK_MASK_OFF (0)

/** \\brief  Length for Ifx_MCDS_TCXWD_RNG_Bits.RANGE */
#define IFX_MCDS_TCXWD_RNG_RANGE_LEN (32)

/** \\brief  Mask for Ifx_MCDS_TCXWD_RNG_Bits.RANGE */
#define IFX_MCDS_TCXWD_RNG_RANGE_MSK (0xffffffff)

/** \\brief  Offset for Ifx_MCDS_TCXWD_RNG_Bits.RANGE */
#define IFX_MCDS_TCXWD_RNG_RANGE_OFF (0)

/** \\brief  Length for Ifx_MCDS_TCXWD_SGN_Bits.BELOW */
#define IFX_MCDS_TCXWD_SGN_BELOW_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCXWD_SGN_Bits.BELOW */
#define IFX_MCDS_TCXWD_SGN_BELOW_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCXWD_SGN_Bits.BELOW */
#define IFX_MCDS_TCXWD_SGN_BELOW_OFF (15)

/** \\brief  Length for Ifx_MCDS_TCXWD_SGN_Bits.EITHER */
#define IFX_MCDS_TCXWD_SGN_EITHER_LEN (1)

/** \\brief  Mask for Ifx_MCDS_TCXWD_SGN_Bits.EITHER */
#define IFX_MCDS_TCXWD_SGN_EITHER_MSK (0x1)

/** \\brief  Offset for Ifx_MCDS_TCXWD_SGN_Bits.EITHER */
#define IFX_MCDS_TCXWD_SGN_EITHER_OFF (14)

/** \\brief  Length for Ifx_MCDS_TCXWD_SGN_Bits.RELOAD */
#define IFX_MCDS_TCXWD_SGN_RELOAD_LEN (4)

/** \\brief  Mask for Ifx_MCDS_TCXWD_SGN_Bits.RELOAD */
#define IFX_MCDS_TCXWD_SGN_RELOAD_MSK (0xf)

/** \\brief  Offset for Ifx_MCDS_TCXWD_SGN_Bits.RELOAD */
#define IFX_MCDS_TCXWD_SGN_RELOAD_OFF (16)

/** \\brief  Length for Ifx_MCDS_TCXWD_SGN_Bits.SIGN */
#define IFX_MCDS_TCXWD_SGN_SIGN_LEN (6)

/** \\brief  Mask for Ifx_MCDS_TCXWD_SGN_Bits.SIGN */
#define IFX_MCDS_TCXWD_SGN_SIGN_MSK (0x3f)

/** \\brief  Offset for Ifx_MCDS_TCXWD_SGN_Bits.SIGN */
#define IFX_MCDS_TCXWD_SGN_SIGN_OFF (0)

/** \\brief  Length for Ifx_MCDS_TSUEMUCNT_Bits.COUNT */
#define IFX_MCDS_TSUEMUCNT_COUNT_LEN (32)

/** \\brief  Mask for Ifx_MCDS_TSUEMUCNT_Bits.COUNT */
#define IFX_MCDS_TSUEMUCNT_COUNT_MSK (0xffffffff)

/** \\brief  Offset for Ifx_MCDS_TSUEMUCNT_Bits.COUNT */
#define IFX_MCDS_TSUEMUCNT_COUNT_OFF (0)

/** \\brief  Length for Ifx_MCDS_TSUPRSCL_Bits.RELOAD */
#define IFX_MCDS_TSUPRSCL_RELOAD_LEN (32)

/** \\brief  Mask for Ifx_MCDS_TSUPRSCL_Bits.RELOAD */
#define IFX_MCDS_TSUPRSCL_RELOAD_MSK (0xffffffff)

/** \\brief  Offset for Ifx_MCDS_TSUPRSCL_Bits.RELOAD */
#define IFX_MCDS_TSUPRSCL_RELOAD_OFF (0)

/** \\brief  Length for Ifx_MCDS_TSUREFCNT_Bits.COUNT */
#define IFX_MCDS_TSUREFCNT_COUNT_LEN (32)

/** \\brief  Mask for Ifx_MCDS_TSUREFCNT_Bits.COUNT */
#define IFX_MCDS_TSUREFCNT_COUNT_MSK (0xffffffff)

/** \\brief  Offset for Ifx_MCDS_TSUREFCNT_Bits.COUNT */
#define IFX_MCDS_TSUREFCNT_COUNT_OFF (0)
/** \}  */
/******************************************************************************/
/******************************************************************************/
#endif /* IFXMCDS_BF_H */
